/*
 * @Author: your name
 * @Date: 2021-11-24 14:45:04
 * @LastEditTime: 2021-11-29 09:54:17
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /LittleBeeSaas/src/router/basic.js
 */
export default [
	{
		path: '/Basic/home',
		name: "home",
		title: "首页",
		hide: false,
		icon: 'container',
		component: resolve => require(['@/views/Basic/home'], resolve),
		meta: {title: '首页'},
	},
	{
		path: '/Basic/home/settled',
		name: "settled",
		title: "首页-入驻企业申请",
		icon: 'container', 
		hide: true,
		component: resolve => require(['@/views/Basic/home/settled.vue'], resolve),
		meta: {title: '入驻企业申请'},
	},
	{
		path: '/Basic/home/newOrder',
		name: "newOrder",
		title: "首页-购买功能",
		icon: 'container', 
		hide: true,
		component: resolve => require(['@/views/Basic/home/newOrder.vue'], resolve),
		meta: {title: '购买功能'},
	},
    {
		path: '/Manage/AdminSet',
		name: "AdminSet",
		title: "管理员设置",
		hide: false,
		icon: 'setting',
		component: resolve => require(['@/views/Manage/AdminSet'], resolve),
		redirect: '/Manage/AdminSet/PaymentSet',
		meta: {title: '管理员设置'},
		children: [
			{
				path: '/Manage/AdminSet/PaymentSet',
				name: "PaymentSet",
				title: "支付设置",
				hide: false,
				component: resolve => require(['@/views/Manage/AdminSet/PaymentSet'], resolve),
				meta: { title: '支付设置' },
			},
		]
	},
]