export default [
	{
		path: '/Manage/SettleRequestManage',
		name: "SettleRequestManage",
		title: "入驻申请管理",
		hide: false,
		icon: 'contacts',
		component: resolve => require(['@/views/Manage/SettleRequestManage'], resolve),
		meta: {title: '入驻申请管理'},
	},
	{
		path: '/Manage/SettleRequestManage/settle_detail',
		name: "settle_detail",
		title: "查看详情",
		hide: true,
		icon: 'container',
		component: resolve => require(['@/views/Manage/SettleRequestManage/_detail'], resolve),
		meta: {title: '查看详情'},
	},
	{
		path: '/Manage/CustomerList',
		name: "CustomerList",
		title: "客户列表",
		hide: false,
		icon: 'user',
		component: resolve => require(['@/views/Manage/CustomerList'], resolve),
		meta: {title: '客户列表'},
	},
	{
		path: '/Manage/CustomerList/customer_detail',
		name: "customer_detail",
		title: "查看客户详情",
		hide: true,
		icon: 'container',
		component: resolve => require(['@/views/Manage/CustomerList/_detail'], resolve),
		meta: {title: '查看客户详情'},
	},
	{
		path: '/Manage/VillageManage',
		name: "VillageManage",
		title: "小区管理",
		hide: false,
		icon: 'home',
		component: resolve => require(['@/views/Manage/VillageManage'], resolve),
		meta: {title: '小区管理'},
	},
	{
		path: '/Manage/VillageManage/_detail',
		name: "village_detail",
		title: "小区管理详情",
		hide: true,
		icon: 'home',
		component: resolve => require(['@/views/Manage/VillageManage/_detail'], resolve),
		meta: {title: '小区管理详情'},
	},
	{
		path: '/Manage/OrderManage',
		name: "OrderManage",
		title: "订单管理",
		hide: false,
		icon: 'exception',
		component: resolve => require(['@/views/Manage/OrderManage'], resolve),
		meta: {title: '订单管理'},
	},
	{
		path: '/Manage/OrderManage/order_detail',
		name: "order_detail",
		title: "订单详情",
		hide: true,
		icon: 'container',
		component: resolve => require(['@/views/Manage/OrderManage/_detail'], resolve),
		meta: {title: '订单详情'},
	},
	{
		path: '/Manage/OrderManage/add_order',
		name: "add_order",
		title: "添加订单",
		hide: true,
		icon: 'container',
		component: resolve => require(['@/views/Manage/OrderManage/_addOrder'], resolve),
		meta: {title: '添加订单'},
	},
	{
		path: '/Manage/ChargingManage',
		name: "ChargingManage",
		title: "收费管理",
		icon: 'pay-circle',
		redirect: '/Manage/ChargingManage/ChargingStandard',
		component: resolve => require(['@/views/Manage/ChargingManage'], resolve),
		meta: {title: '收费管理'},
		children: [
			{
				path: '/Manage/ChargingManage/ChargingStandard',
				name: "ChargingStandard",
				title: "收费标准",
				component: resolve => require(['@/views/Manage/ChargingManage/ChargingStandard'], resolve),
				meta: { title: '收费标准' },
			},
			{
				path: '/Manage/ChargingManage/FinancialBill',
				name: "FinancialBill",
				title: "财务账单",
				component: resolve => require(['@/views/Manage/ChargingManage/FinancialBill'], resolve),
				meta: { title: '财务账单' },
			},
			{
				path: '/Manage/ChargingManage/FinancialBill/_detail',
				name: "_billDetail",
				title: "账单明细",
				hide: true,
				component: resolve => require(['@/views/Manage/ChargingManage/FinancialBill/_detail'], resolve),
				meta: { title: '账单明细' },
			},
			{
				path: '/Manage/ChargingManage/FinancialBill/_payback',
				name: "_payback",
				title: "退款",
				hide: true,
				component: resolve => require(['@/views/Manage/ChargingManage/FinancialBill/_payback'], resolve),
				meta: { title: '退款' },
			},
		]
	},
]