export const form = {
	tel: "",
	code:'',
	companyName: "",
	socialCreditCode:"",
	companyAddress:undefined,
	companyAddressDetail:'',
	legalPersonName:'',
	legalPersonIdCard:'',
	contactsName:'',
	contactsTel:'',
	contactsEmail:'',
	contactsAddress:'',
	contactsAddressDetail: '',
	idCardFrontImgUrls:[],
	idCardBackImgUrls:[],
	businessLicenseImgUrls:[],
	othersImgUrls:[],
}
export const rules = {
	tel: [
		{
			required: true,
			message: "请输入手机号",
			trigger: "blur",
		},
		{
			min: 11,
			max: 11,
			message: "手机号长度必须为 11 位",
			trigger: "blur",
		},
	],
	code: [
		{
			required: true,
			message: "请输入验证码",
			trigger: "blur",
		}],
	companyName: [
		{
			required: true,
			message: "请输入公司名称",
			trigger: "blur",
		}],
	socialCreditCode: [
		{
			required: true,
			message: "请输入社会信用代码",
			trigger: "blur",
		}],
	companyAddress: [
		{
			required: true,
			message: "请输入公司地址",
			trigger: "change",
		}],
	companyAddressDetail: [
		{
			required: true,
			message: "请输入公司详细地址",
			trigger: "blur",
		}],
	legalPersonName: [
		{
			required: true,
			message: "请输入法人名称",
			trigger: "blur",
		}],
	legalPersonIdCard: [
		{
			required: true,
			message: "请输入法人身份证号",
			trigger: "blur",
		}],
	contactsName: [
		{
			required: true,
			message: "请输入联系人姓名",
			trigger: "blur",
		}],
	licenseTimeStart: [
		{
			required: true,
			message: "请选择时间",
			trigger: "change",
		}],
	contactsTel: [
		{
			required: true,
			message: "请输入联系人手机号",
			trigger: "blur",
		}],
	// contactsAddress: [
	// 	{
	// 		required: true,
	// 		message: "请选择联系人地址",
	// 		trigger: "change",
	// 	}],
	// contactsAddressDetail: [
	// 	{
	// 		required: true,
	// 		message: "请输入联系人详细地址",
	// 		trigger: "blur",
	// 	}],
}
export const cascaderConfig = {
	label: 'name',
	value:'id',
	children: 'cityList'
}